#!/bin/env bash
# Get latest binding source from http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html.
# For more info, you can visit the links on above page to FreePascal and Lazarus wiki

# if the system wide Qt libraries are not the one you want:
# then download the wanted version of Qt sources.
# Unpack Qt source -> the created directory (Qt4 dir) will be used below
# do configure and gmake in that Qt4 dir
# The binding was generated from a Qt configured with:
# ./configure -v -confirm-license -prefix `pwd` -opengl -xrender -xcursor -xrandr -qvfb -openssl -fontconfig -sm

LDNAME=libqt4intf.so
SONAME=libqt4intf.so.5
ONAME=libqt4intf.so.5.1.72

# Downloaded and compiled Qt:
QTDIR=../qt-all-opensource-src-4.5.2
INCLUDE_PATH="-I. -I$QTDIR/include -I$QTDIR/include/Qt -I$QTDIR/include/QtGui -I$QTDIR/include/QtCore -Iqlcl "
LIB_PATH=$QTDIR/lib

# Sytem Wide Qt
#QTDIR=/usr/lib/Qt4
# 64 bit distro:
#LIB_PATH=/usr/lib64
# 32 bit distro
#LIB_PATH=/usr/lib


export LD_LIBRARY_PATH=$LIB_PATH
if [ -e "$LIB_PATH/libQtCore.so.4.5" ]
then
  echo please wait for compile to finish ...
  g++ -D BINUX $INCLUDE_PATH qtpas.cpp -o $ONAME -shared -fPIC -lQtCore -lQtGui -lQtNetwork -lQtWebKit  -Xlinker -soname=$SONAME -Xlinker --library-path -Xlinker $LIB_PATH
  echo Showing used Qt libraries when LD_LIBRARY_PATH=$LD_LIBRARY_PATH
  ldd $ONAME | grep libQt
  echo stripping library
  strip --strip-all $ONAME
  ln -sf $ONAME $SONAME
  ln -sf $SONAME $LDNAME
  echo Done
else
  echo "Please Modify location of Qt4 in this script"
fi
